#include <stdio.h>
#include <string.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#define		HOST		  "192.168.0.1"
#define		PORT		  80
#define 	INTERVALL	60		         //60 Seconds

int main(int argc, char *argv)
{

	int 	length;
	char	cont_len[5];
	int 	socket_id;
	int 	nRet;
	char	http_request[255];
	char	post_parameter[30];

	struct 	sockaddr_in adressinfo;

	//BUILD POST PARAMETER
	strcpy(post_parameter, "devID=1&msg=EV_TEMP_1");
	
	//GET LENGTH FROM STRING CONTENT
	sprintf(cont_len, "%d", strlen(post_parameter));

	//BUILD HTTP REQUEST
	strcpy(http_request, "POST /write_values.php ");
	strcat(http_request, "HTTP/1.1\r\nHost: ");
	strcat(http_request, HOST);
	strcat(http_request, "\r\nConnection: Keep-Alive\r\nContent-type: application/x-www-form-urlencoded\r\n");
	strcat(http_request, "Content-length: ");
	strcat(http_request, cont_len);
	strcat(http_request, "\r\n\r\n");
		
	//ENDLESS LOOP
	while(1){

		//CREATE SOCKET
		nRet=socket_id=socket(AF_INET, SOCK_STREAM, 0);
   	
		//GIVE PARAMTER TO STRUCT adressinfo
   	adressinfo.sin_family=AF_INET;
   	adressinfo.sin_addr.s_addr=inet_addr(HOST);
   	adressinfo.sin_port=htons(PORT);
   	length=sizeof(adressinfo);

		//CONNECT TO SERVER
   	nRet=connect(socket_id, (struct sockaddr *)&adressinfo, length);

		if(nRet<0){
			printf("Can't create Socket\n");
			exit(0);
		}
	
		//SEND REQUEST
		nRet=send(socket_id, http_request, strlen(http_request), 0);
			
		if(nRet<0){
			printf("Can't send Response\n");
			exit(0);
		}
		
		//SEND POST PARAMETER
		nRet=send(socket_id, post_parameter, strlen(post_parameter), 0);

		if(nRet<0){
			printf("Can't send Parameter\n");
			exit(0);
		}
		
		//WAIT
		sleep(INTERVALL);
	
		//CLOSE SOCKET
		close(socket_id);

	}
	return 0;
}
